#define WM_CARD_INSERT                             WM_USER+300   
#define WM_CARD_REMOVE                             WM_USER+301   

#define WM_DEVICE_INSERT                           WM_USER+100   
#define WM_DEVICE_REMOVE                           WM_USER+101   

#define STRING_MAX_LEN                             256


typedef enum _MEMORY_ID
{
    UNKNOW,

    M25PE10,
    M25PE20,
	M25PE40,
	M25PE80,
	M25PE16,

    M45PE10,
	M45PE20,
    OEM35PE20P,
    OEM25F3203,
    M45PE40,
	M45PE80,
	M45PE16,

    M95010,
	M95020,
    M95040,
    M95080,
    M95160,
	M95320,
    M95640,
    M95128,
    M95256,
    M95512,
	M95M01,

    LE25FW206,

    M29W102BB,
    M29W102BT,
    M29W800AB,
	M29W800AT


}MEMORY_ID;





typedef enum _MEMORY_ENTRY_MODE
{
	NONE, 
	NORFLASH,   
	SENSOR,    
	EEPROM512K,    
	EEPROM8M	                     
}MEMORY_ENTRY_MODE;









//===DEVICE========================================================
VOID        R6DeviceStart(USHORT vid,USHORT pid,HWND hookwindow);
BOOL        R6MessageHook(UINT message, WPARAM wParam, LPARAM lParam);
VOID        R6DeviceEnd();
BOOL        R6IsDeviceInsert();
VOID        R6SearchDevice();
HWND        R6GetHookWindow();

//===CARD==========================================================
VOID        R6CardStart();
VOID        R6CardEnd();
BOOL        R6IsCardInsert();

//===LED===========================================================
BOOL        R6LightRedLed();
BOOL        R6FlashRedLed();
BOOL        R6TurnOffRedLed();
BOOL        R6LightYellowLed();
BOOL        R6FlashYellowLed();
BOOL        R6TurnOffYellowLed();

//===MODE==========================================================
BOOL        R6EntryNorFlashMode();
BOOL        R6ExitNorFlashMode();
BOOL        R6EntrySensorMode();
BOOL        R6Entry512KEepromMode();
BOOL        R6Entry8MEepromMode();

//===SEARCH========================================================
MEMORY_ID   R6SearchStFlashType();
MEMORY_ID   R6SearchSanyoFlashType();
MEMORY_ID   R6SearchStEepromType();
MEMORY_ID   R6SearchStNorFlashType();

//===MEMORY========================================================
UINT        R6GetMemorylPageSize(MEMORY_ID id);
UINT        R6GetMemoryPageTotal(MEMORY_ID id);
BOOL        R6MemoryWriteInit(MEMORY_ID id);
BOOL        R6MemoryWritePage(MEMORY_ID id,UINT index,PBYTE buffer,UINT length);
BOOL        R6MemoryReadInit(MEMORY_ID id);
BOOL        R6MemoryReadPage(MEMORY_ID id,UINT index,PBYTE buffer,UINT length);
VOID        R6GetMemoryType(MEMORY_ID id,PCHAR strdest,UINT sizeinbytes);
VOID        R6GetMemoryClass(MEMORY_ID id,PCHAR strdest,UINT sizeinbytes);

//===OriginalRom===================================================
BOOL        R6TransmitOriginalRom(PBYTE inbuffer,UINT inlength,PBYTE outbuffer,UINT outlength);



//===VERSION========================================================
UINT        R6GetVersion();

